export declare enum BOOLEAN {
    FALSE = 0,
    TRUE = 1
}
export interface IUser {
    user_id: number;
    avatar: string;
    full_name: string;
}
export interface IMedia {
    media_id: string;
    type: number;
    content: string;
    created_at: string | Date;
    original: {
        url: string;
        name: string;
        size: number;
        width: number;
        height: number;
        link_full: string;
    };
    medium: {
        url: string;
        name: string;
        size: number;
        width: number;
        height: number;
    };
    thumb: {
        url: string;
        name: string;
        size: number;
        width: number;
        height: number;
    };
}
export declare enum THUMBNAIL_IS_SYSTEM {
    SYSTEM_OUT = 0,
    SYSTEM_IN = 1,
    YOUTUBE = 2
}
export declare enum THUMBNAIL_TYPE {
    NOT_JOIN = 0,
    JOIN = 1,
    WAITING_CONFIRM = 2,
    BLOCKED = 3
}
export declare enum THUMBNAIL_TYPE_SYSTEM {
    LINK_JOIN = 1,
    GROUP = 2,
    FANPAGE = 3,
    BUSINESS_CARD = 4,
    POST = 5,
    SHORT_VIDEO = 6,
    BRAND = 7
}
export interface IThumbnail {
    title: string;
    description: string;
    domain: string;
    logo: string;
    url: string;
    object_id: string;
    is_system: THUMBNAIL_IS_SYSTEM;
    type_system: THUMBNAIL_TYPE_SYSTEM;
    type: THUMBNAIL_TYPE;
    is_thumb: BOOLEAN;
}
export interface ISticker {
    category_sticker_id: string;
    sticker_id: string;
    is_download: number;
    original: {
        url: string;
        link_full: string;
        name: string;
        size: number;
        width: number;
        height: number;
    };
    medium: {
        url: string;
        name: string;
        size: number;
        width: number;
        height: number;
    };
    thumb: {
        url: string;
        name: string;
        size: number;
        width: number;
        height: number;
    };
}
export interface ITag {
    key: string;
    user: {
        user_id: number;
        avatar: string;
        full_name: string;
    };
}
export declare class SocketData {
    user_id: string;
    conversation_id: string;
    device: string;
    is_typing: BOOLEAN;
    constructor(data: SocketData);
}
