export declare enum SOCKET_VERSION {
    VERSION_2 = "v2"
}
export declare enum SOCKET_ON {
    ERROR = "socket-error",
    JOIN_ROOM = "listen-join-room",
    LEAVE_ROOM = "listen-leave-room",
    MESSAGE_TEXT = "listen-message-text",
    MESSAGE_IMAGE = "listen-message-image",
    MESSAGE_VIDEO = "listen-message-video",
    MESSAGE_AUDIO = "listen-message-audio",
    MESSAGE_FILE = "listen-message-file",
    MESSAGE_REPLY = "listen-message-reply",
    MESSAGE_STICKER = "listen-message-sticker",
    MESSAGE_REVOKE = "listen-message-revoke",
    MESSAGE_PINNED = "listen-message-pinned",
    MESSAGE_REMOVE_PINNED = "listen-message-remove-pinned",
    REACTION_MESSAGE = "listen-reaction-message",
    MESSAGE_SHARE = "listen-message-share",
    TYPING_ON = "listen-typing-on",
    TYPING_OFF = "listen-typing-off",
    FRIEND_ONLINE = "listen-friend-online",
    FRIEND_OFFLINE = "listen-friend-offline",
    UPDATE_NAME = "listen-update-name-conversation",
    UPDATE_AVATAR = "listen-update-avatar-conversation",
    UPDATE_BACKGROUND = "listen-update-background-conversation",
    OUT_ROOM = "listen-out-conversation",
    ADD_DEPUTY = "listen-add-deputy-conversation",
    REMOVE_DEPUTY = "listen-remove-deputy-conversation",
    UPDATE_PERMISSION = "listen-update-permission-conversation",
    ADD_MEMBER = "listen-add-member-conversation",
    MEMBER_WAITING_CONFIRM = "listen-waiting-confirm-member",
    REMOVE_MEMBER = "listen-remove-member-conversation",
    CREATE_CONVERSATION = "listen-new-conversation",
    DISBAND_CONVERSATION = "listen-disband-conversation",
    MESSAGE_SETTING = "listen-message-setting",
    CONFIRM_MEMBER = "listen-confirm-member",
    MESSAGE_JOIN_CONVERSATION = "listen-message-join-conversation",
    CONVERSATION_PERSONAL_SETTING = "listen-message-conversation-personal-setting",
    DELETE_CONVERSATION = "listen-delete-conversation",
    CONVERSATIONS_HIDDEN = "listen-conversations-hidden",
    CONVERSATIONS_DISABLE_NOTIFY = "listen-conversations-disable-notify",
    CREATE_VOTE = "listen-message-create-vote",
    MESSAGE_VOTE = "listen-message-vote",
    MESSAGE_VOTE_OPTIONS = "listen-message-vote-options",
    MESSAGE_BLOCK_VOTE = "listen-message-block-vote",
    MESSAGE_CHANGE_VOTE = "listen-message-change-vote",
    ADD_VOTE_OPTION = "listen-add-vote-option",
    MESSAGE_VOTE_PINNED = "listen-message-vote-pinned",
    REMOVE_MESSAGE_VOTE_PINNED = "listen-remove-message-vote-pinned",
    USER_BLOCK = "listen-user-block",
    USER_UNBLOCK = "listen-user-unblock",
    UPDATE_SEND_MESSAGE = "listen-update-send-message",
    UPDATE_PROFILE_MESSAGE = "listen-update-profile-message",
    MESSAGE_DELETE_PINNED = "listen-message-delete-pinned",
    CHAT_FILTER = "listen-chat-filter"
}
export declare enum SOCKET_EMIT {
    JOIN_ROOM = "join-room",
    JOIN_ROOM_BLOCK = "join-room-block",
    LEAVE_ROOM = "leave-room",
    MESSAGE_TEXT = "message-text",
    MESSAGE_IMAGE = "message-image",
    MESSAGE_VIDEO = "message-video",
    MESSAGE_AUDIO = "message-audio",
    MESSAGE_FILE = "message-file",
    MESSAGE_REPLY = "message-reply",
    MESSAGE_STICKER = "message-sticker",
    MESSAGE_REVOKE = "message-revoke",
    MESSAGE_VOTE_OPTIONS = "message-vote-options",
    MESSAGE_PINNED = "message-pinned",
    MESSAGE_REMOVE_PINNED = "message-remove-pinned",
    MESSAGE_VOTE_PINNED = "message-vote-pinned",
    REMOVE_MESSAGE_VOTE_PINNED = "remove-message-vote-pinned",
    REACTION_MESSAGE = "reaction-message",
    TYPING_ON = "typing-on",
    TYPING_OFF = "typing-off"
}
export declare enum SOCKET_ERROR_TYPE {
    DEFAULT = 0,
    LOST_CONNECT = 1,
    CONVERSATION_NOT_FOUND = 2
}
