"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SOCKET_ERROR_TYPE = exports.SOCKET_EMIT = exports.SOCKET_ON = exports.SOCKET_VERSION = void 0;
var SOCKET_VERSION;
(function (SOCKET_VERSION) {
    SOCKET_VERSION["VERSION_2"] = "v2";
})(SOCKET_VERSION || (exports.SOCKET_VERSION = SOCKET_VERSION = {}));
var SOCKET_ON;
(function (SOCKET_ON) {
    SOCKET_ON["ERROR"] = "socket-error";
    SOCKET_ON["JOIN_ROOM"] = "listen-join-room";
    SOCKET_ON["LEAVE_ROOM"] = "listen-leave-room";
    SOCKET_ON["MESSAGE_TEXT"] = "listen-message-text";
    SOCKET_ON["MESSAGE_IMAGE"] = "listen-message-image";
    SOCKET_ON["MESSAGE_VIDEO"] = "listen-message-video";
    SOCKET_ON["MESSAGE_AUDIO"] = "listen-message-audio";
    SOCKET_ON["MESSAGE_FILE"] = "listen-message-file";
    SOCKET_ON["MESSAGE_REPLY"] = "listen-message-reply";
    SOCKET_ON["MESSAGE_STICKER"] = "listen-message-sticker";
    SOCKET_ON["MESSAGE_REVOKE"] = "listen-message-revoke";
    SOCKET_ON["MESSAGE_PINNED"] = "listen-message-pinned";
    SOCKET_ON["MESSAGE_REMOVE_PINNED"] = "listen-message-remove-pinned";
    SOCKET_ON["REACTION_MESSAGE"] = "listen-reaction-message";
    SOCKET_ON["MESSAGE_SHARE"] = "listen-message-share";
    SOCKET_ON["TYPING_ON"] = "listen-typing-on";
    SOCKET_ON["TYPING_OFF"] = "listen-typing-off";
    SOCKET_ON["FRIEND_ONLINE"] = "listen-friend-online";
    SOCKET_ON["FRIEND_OFFLINE"] = "listen-friend-offline";
    SOCKET_ON["UPDATE_NAME"] = "listen-update-name-conversation";
    SOCKET_ON["UPDATE_AVATAR"] = "listen-update-avatar-conversation";
    SOCKET_ON["UPDATE_BACKGROUND"] = "listen-update-background-conversation";
    SOCKET_ON["OUT_ROOM"] = "listen-out-conversation";
    SOCKET_ON["ADD_DEPUTY"] = "listen-add-deputy-conversation";
    SOCKET_ON["REMOVE_DEPUTY"] = "listen-remove-deputy-conversation";
    SOCKET_ON["UPDATE_PERMISSION"] = "listen-update-permission-conversation";
    SOCKET_ON["ADD_MEMBER"] = "listen-add-member-conversation";
    SOCKET_ON["MEMBER_WAITING_CONFIRM"] = "listen-waiting-confirm-member";
    SOCKET_ON["REMOVE_MEMBER"] = "listen-remove-member-conversation";
    SOCKET_ON["CREATE_CONVERSATION"] = "listen-new-conversation";
    SOCKET_ON["DISBAND_CONVERSATION"] = "listen-disband-conversation";
    SOCKET_ON["MESSAGE_SETTING"] = "listen-message-setting";
    SOCKET_ON["CONFIRM_MEMBER"] = "listen-confirm-member";
    SOCKET_ON["MESSAGE_JOIN_CONVERSATION"] = "listen-message-join-conversation";
    SOCKET_ON["CONVERSATION_PERSONAL_SETTING"] = "listen-message-conversation-personal-setting";
    SOCKET_ON["DELETE_CONVERSATION"] = "listen-delete-conversation";
    SOCKET_ON["CONVERSATIONS_HIDDEN"] = "listen-conversations-hidden";
    SOCKET_ON["CONVERSATIONS_DISABLE_NOTIFY"] = "listen-conversations-disable-notify";
    SOCKET_ON["CREATE_VOTE"] = "listen-message-create-vote";
    SOCKET_ON["MESSAGE_VOTE"] = "listen-message-vote";
    SOCKET_ON["MESSAGE_VOTE_OPTIONS"] = "listen-message-vote-options";
    SOCKET_ON["MESSAGE_BLOCK_VOTE"] = "listen-message-block-vote";
    SOCKET_ON["MESSAGE_CHANGE_VOTE"] = "listen-message-change-vote";
    SOCKET_ON["ADD_VOTE_OPTION"] = "listen-add-vote-option";
    SOCKET_ON["MESSAGE_VOTE_PINNED"] = "listen-message-vote-pinned";
    SOCKET_ON["REMOVE_MESSAGE_VOTE_PINNED"] = "listen-remove-message-vote-pinned";
    SOCKET_ON["USER_BLOCK"] = "listen-user-block";
    SOCKET_ON["USER_UNBLOCK"] = "listen-user-unblock";
    SOCKET_ON["UPDATE_SEND_MESSAGE"] = "listen-update-send-message";
    SOCKET_ON["UPDATE_PROFILE_MESSAGE"] = "listen-update-profile-message";
    SOCKET_ON["MESSAGE_DELETE_PINNED"] = "listen-message-delete-pinned";
    SOCKET_ON["CHAT_FILTER"] = "listen-chat-filter";
})(SOCKET_ON || (exports.SOCKET_ON = SOCKET_ON = {}));
var SOCKET_EMIT;
(function (SOCKET_EMIT) {
    SOCKET_EMIT["JOIN_ROOM"] = "join-room";
    SOCKET_EMIT["JOIN_ROOM_BLOCK"] = "join-room-block";
    SOCKET_EMIT["LEAVE_ROOM"] = "leave-room";
    SOCKET_EMIT["MESSAGE_TEXT"] = "message-text";
    SOCKET_EMIT["MESSAGE_IMAGE"] = "message-image";
    SOCKET_EMIT["MESSAGE_VIDEO"] = "message-video";
    SOCKET_EMIT["MESSAGE_AUDIO"] = "message-audio";
    SOCKET_EMIT["MESSAGE_FILE"] = "message-file";
    SOCKET_EMIT["MESSAGE_REPLY"] = "message-reply";
    SOCKET_EMIT["MESSAGE_STICKER"] = "message-sticker";
    SOCKET_EMIT["MESSAGE_REVOKE"] = "message-revoke";
    SOCKET_EMIT["MESSAGE_VOTE_OPTIONS"] = "message-vote-options";
    SOCKET_EMIT["MESSAGE_PINNED"] = "message-pinned";
    SOCKET_EMIT["MESSAGE_REMOVE_PINNED"] = "message-remove-pinned";
    SOCKET_EMIT["MESSAGE_VOTE_PINNED"] = "message-vote-pinned";
    SOCKET_EMIT["REMOVE_MESSAGE_VOTE_PINNED"] = "remove-message-vote-pinned";
    SOCKET_EMIT["REACTION_MESSAGE"] = "reaction-message";
    SOCKET_EMIT["TYPING_ON"] = "typing-on";
    SOCKET_EMIT["TYPING_OFF"] = "typing-off";
})(SOCKET_EMIT || (exports.SOCKET_EMIT = SOCKET_EMIT = {}));
var SOCKET_ERROR_TYPE;
(function (SOCKET_ERROR_TYPE) {
    SOCKET_ERROR_TYPE[SOCKET_ERROR_TYPE["DEFAULT"] = 0] = "DEFAULT";
    SOCKET_ERROR_TYPE[SOCKET_ERROR_TYPE["LOST_CONNECT"] = 1] = "LOST_CONNECT";
    SOCKET_ERROR_TYPE[SOCKET_ERROR_TYPE["CONVERSATION_NOT_FOUND"] = 2] = "CONVERSATION_NOT_FOUND";
})(SOCKET_ERROR_TYPE || (exports.SOCKET_ERROR_TYPE = SOCKET_ERROR_TYPE = {}));
//# sourceMappingURL=connection.enum.js.map