export declare enum MESSAGE_PINNED_STATUS {
    UNPINNED = 0,
    PINNED = 1
}
export declare enum MESSAGE_REACTION_TYPE {
    LIKE = 1,
    LOVE = 2,
    HAHA = 3,
    WOW = 4,
    SAD = 5,
    ANGRY = 6
}
export declare const MESSAGE_REACTION_NAME: {
    1: string;
    2: string;
    3: string;
    4: string;
    5: string;
    6: string;
};
export declare enum MESSAGE_VOTE_STATUS {
    BLOCK = 0,
    ACTIVE = 1
}
export declare enum MESSAGE_STATUS {
    DELETED = 0,
    ACTIVE = 1
}
export declare enum MESSAGE_SYSTEM_TYPE {
    UPDATE_NAME = 7,
    UPDATE_AVATAR = 8,
    UPDATE_BACKGROUND = 9,
    REMOVE_USER = 10,
    ADD_NEW_USER = 11,
    CHANGE_PERMISSION_USER = 12,
    USER_OUT_GROUP = 13,
    REVOKE_MESSAGE = 14,
    NEW_GROUP = 16,
    YOU_IS_CHANGE_PERMISSION = 17,
    MESSAGE_UPDATE_PROFILE = 18,
    UPDATE_IS_PINNED = 19,
    UPDATE_IS_CREATE_REMINDER = 20,
    UPDATE_IS_CREATE_VOTE = 21,
    UPDATE_IS_CONFIRM_NEW_MEMBER = 22,
    UPDATE_IS_OFF_CONFIRM_NEW_MEMBER = 23,
    UPDATE_IS_VIEW_OLD_MESSAGE_WITH_NEW_MEMBER = 24,
    UPDATE_IS_JOIN_WITH_LINK = 25,
    MESSAGE_UPDATE_SEND_MESSAGE = 26,
    PINNED = 27,
    REMOVE_PINNED = 28,
    ADD_DEPUTY = 29,
    REMOVE_DEPUTY = 30,
    CREATE_VOTE = 31,
    VOTE = 32,
    CHANGE_VOTE = 33,
    ADD_VOTE_OPTION = 34,
    WAITING_CONFIRM = 35,
    BLOCK_VOTE = 36,
    MESSAGE_VOTE_PINNED = 37,
    REMOVE_MESSAGE_VOTE_PINNED = 38
}
export declare enum NON_MESSAGE_SYSTEM_TYPE {
    TEXT = 1,
    IMAGE = 2,
    VIDEO = 3,
    AUDIO = 4,
    FILE = 5,
    REPLY = 6,
    STICKER = 15
}
export declare const MESSAGE_TYPE: {
    [x: number]: string;
    UPDATE_NAME: MESSAGE_SYSTEM_TYPE.UPDATE_NAME;
    UPDATE_AVATAR: MESSAGE_SYSTEM_TYPE.UPDATE_AVATAR;
    UPDATE_BACKGROUND: MESSAGE_SYSTEM_TYPE.UPDATE_BACKGROUND;
    REMOVE_USER: MESSAGE_SYSTEM_TYPE.REMOVE_USER;
    ADD_NEW_USER: MESSAGE_SYSTEM_TYPE.ADD_NEW_USER;
    CHANGE_PERMISSION_USER: MESSAGE_SYSTEM_TYPE.CHANGE_PERMISSION_USER;
    USER_OUT_GROUP: MESSAGE_SYSTEM_TYPE.USER_OUT_GROUP;
    REVOKE_MESSAGE: MESSAGE_SYSTEM_TYPE.REVOKE_MESSAGE;
    NEW_GROUP: MESSAGE_SYSTEM_TYPE.NEW_GROUP;
    YOU_IS_CHANGE_PERMISSION: MESSAGE_SYSTEM_TYPE.YOU_IS_CHANGE_PERMISSION;
    MESSAGE_UPDATE_PROFILE: MESSAGE_SYSTEM_TYPE.MESSAGE_UPDATE_PROFILE;
    UPDATE_IS_PINNED: MESSAGE_SYSTEM_TYPE.UPDATE_IS_PINNED;
    UPDATE_IS_CREATE_REMINDER: MESSAGE_SYSTEM_TYPE.UPDATE_IS_CREATE_REMINDER;
    UPDATE_IS_CREATE_VOTE: MESSAGE_SYSTEM_TYPE.UPDATE_IS_CREATE_VOTE;
    UPDATE_IS_CONFIRM_NEW_MEMBER: MESSAGE_SYSTEM_TYPE.UPDATE_IS_CONFIRM_NEW_MEMBER;
    UPDATE_IS_OFF_CONFIRM_NEW_MEMBER: MESSAGE_SYSTEM_TYPE.UPDATE_IS_OFF_CONFIRM_NEW_MEMBER;
    UPDATE_IS_VIEW_OLD_MESSAGE_WITH_NEW_MEMBER: MESSAGE_SYSTEM_TYPE.UPDATE_IS_VIEW_OLD_MESSAGE_WITH_NEW_MEMBER;
    UPDATE_IS_JOIN_WITH_LINK: MESSAGE_SYSTEM_TYPE.UPDATE_IS_JOIN_WITH_LINK;
    MESSAGE_UPDATE_SEND_MESSAGE: MESSAGE_SYSTEM_TYPE.MESSAGE_UPDATE_SEND_MESSAGE;
    PINNED: MESSAGE_SYSTEM_TYPE.PINNED;
    REMOVE_PINNED: MESSAGE_SYSTEM_TYPE.REMOVE_PINNED;
    ADD_DEPUTY: MESSAGE_SYSTEM_TYPE.ADD_DEPUTY;
    REMOVE_DEPUTY: MESSAGE_SYSTEM_TYPE.REMOVE_DEPUTY;
    CREATE_VOTE: MESSAGE_SYSTEM_TYPE.CREATE_VOTE;
    VOTE: MESSAGE_SYSTEM_TYPE.VOTE;
    CHANGE_VOTE: MESSAGE_SYSTEM_TYPE.CHANGE_VOTE;
    ADD_VOTE_OPTION: MESSAGE_SYSTEM_TYPE.ADD_VOTE_OPTION;
    WAITING_CONFIRM: MESSAGE_SYSTEM_TYPE.WAITING_CONFIRM;
    BLOCK_VOTE: MESSAGE_SYSTEM_TYPE.BLOCK_VOTE;
    MESSAGE_VOTE_PINNED: MESSAGE_SYSTEM_TYPE.MESSAGE_VOTE_PINNED;
    REMOVE_MESSAGE_VOTE_PINNED: MESSAGE_SYSTEM_TYPE.REMOVE_MESSAGE_VOTE_PINNED;
    TEXT: NON_MESSAGE_SYSTEM_TYPE.TEXT;
    IMAGE: NON_MESSAGE_SYSTEM_TYPE.IMAGE;
    VIDEO: NON_MESSAGE_SYSTEM_TYPE.VIDEO;
    AUDIO: NON_MESSAGE_SYSTEM_TYPE.AUDIO;
    FILE: NON_MESSAGE_SYSTEM_TYPE.FILE;
    REPLY: NON_MESSAGE_SYSTEM_TYPE.REPLY;
    STICKER: NON_MESSAGE_SYSTEM_TYPE.STICKER;
};
export type MESSAGE_TYPE = NON_MESSAGE_SYSTEM_TYPE | MESSAGE_SYSTEM_TYPE;
export interface IMessageUserTarget {
    user_id: number;
    full_name: string;
    avatar: string;
}
