"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MESSAGE_TYPE = exports.NON_MESSAGE_SYSTEM_TYPE = exports.MESSAGE_SYSTEM_TYPE = exports.MESSAGE_STATUS = exports.MESSAGE_VOTE_STATUS = exports.MESSAGE_REACTION_NAME = exports.MESSAGE_REACTION_TYPE = exports.MESSAGE_PINNED_STATUS = void 0;
var MESSAGE_PINNED_STATUS;
(function (MESSAGE_PINNED_STATUS) {
    MESSAGE_PINNED_STATUS[MESSAGE_PINNED_STATUS["UNPINNED"] = 0] = "UNPINNED";
    MESSAGE_PINNED_STATUS[MESSAGE_PINNED_STATUS["PINNED"] = 1] = "PINNED";
})(MESSAGE_PINNED_STATUS || (exports.MESSAGE_PINNED_STATUS = MESSAGE_PINNED_STATUS = {}));
var MESSAGE_REACTION_TYPE;
(function (MESSAGE_REACTION_TYPE) {
    MESSAGE_REACTION_TYPE[MESSAGE_REACTION_TYPE["LIKE"] = 1] = "LIKE";
    MESSAGE_REACTION_TYPE[MESSAGE_REACTION_TYPE["LOVE"] = 2] = "LOVE";
    MESSAGE_REACTION_TYPE[MESSAGE_REACTION_TYPE["HAHA"] = 3] = "HAHA";
    MESSAGE_REACTION_TYPE[MESSAGE_REACTION_TYPE["WOW"] = 4] = "WOW";
    MESSAGE_REACTION_TYPE[MESSAGE_REACTION_TYPE["SAD"] = 5] = "SAD";
    MESSAGE_REACTION_TYPE[MESSAGE_REACTION_TYPE["ANGRY"] = 6] = "ANGRY";
})(MESSAGE_REACTION_TYPE || (exports.MESSAGE_REACTION_TYPE = MESSAGE_REACTION_TYPE = {}));
exports.MESSAGE_REACTION_NAME = {
    [MESSAGE_REACTION_TYPE.LIKE]: 'no_of_like',
    [MESSAGE_REACTION_TYPE.LOVE]: 'no_of_love',
    [MESSAGE_REACTION_TYPE.HAHA]: 'no_of_haha',
    [MESSAGE_REACTION_TYPE.WOW]: 'no_of_wow',
    [MESSAGE_REACTION_TYPE.SAD]: 'no_of_sad',
    [MESSAGE_REACTION_TYPE.ANGRY]: 'no_of_angry',
};
var MESSAGE_VOTE_STATUS;
(function (MESSAGE_VOTE_STATUS) {
    MESSAGE_VOTE_STATUS[MESSAGE_VOTE_STATUS["BLOCK"] = 0] = "BLOCK";
    MESSAGE_VOTE_STATUS[MESSAGE_VOTE_STATUS["ACTIVE"] = 1] = "ACTIVE";
})(MESSAGE_VOTE_STATUS || (exports.MESSAGE_VOTE_STATUS = MESSAGE_VOTE_STATUS = {}));
var MESSAGE_STATUS;
(function (MESSAGE_STATUS) {
    MESSAGE_STATUS[MESSAGE_STATUS["DELETED"] = 0] = "DELETED";
    MESSAGE_STATUS[MESSAGE_STATUS["ACTIVE"] = 1] = "ACTIVE";
})(MESSAGE_STATUS || (exports.MESSAGE_STATUS = MESSAGE_STATUS = {}));
var MESSAGE_SYSTEM_TYPE;
(function (MESSAGE_SYSTEM_TYPE) {
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["UPDATE_NAME"] = 7] = "UPDATE_NAME";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["UPDATE_AVATAR"] = 8] = "UPDATE_AVATAR";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["UPDATE_BACKGROUND"] = 9] = "UPDATE_BACKGROUND";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["REMOVE_USER"] = 10] = "REMOVE_USER";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["ADD_NEW_USER"] = 11] = "ADD_NEW_USER";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["CHANGE_PERMISSION_USER"] = 12] = "CHANGE_PERMISSION_USER";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["USER_OUT_GROUP"] = 13] = "USER_OUT_GROUP";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["REVOKE_MESSAGE"] = 14] = "REVOKE_MESSAGE";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["NEW_GROUP"] = 16] = "NEW_GROUP";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["YOU_IS_CHANGE_PERMISSION"] = 17] = "YOU_IS_CHANGE_PERMISSION";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["MESSAGE_UPDATE_PROFILE"] = 18] = "MESSAGE_UPDATE_PROFILE";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["UPDATE_IS_PINNED"] = 19] = "UPDATE_IS_PINNED";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["UPDATE_IS_CREATE_REMINDER"] = 20] = "UPDATE_IS_CREATE_REMINDER";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["UPDATE_IS_CREATE_VOTE"] = 21] = "UPDATE_IS_CREATE_VOTE";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["UPDATE_IS_CONFIRM_NEW_MEMBER"] = 22] = "UPDATE_IS_CONFIRM_NEW_MEMBER";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["UPDATE_IS_OFF_CONFIRM_NEW_MEMBER"] = 23] = "UPDATE_IS_OFF_CONFIRM_NEW_MEMBER";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["UPDATE_IS_VIEW_OLD_MESSAGE_WITH_NEW_MEMBER"] = 24] = "UPDATE_IS_VIEW_OLD_MESSAGE_WITH_NEW_MEMBER";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["UPDATE_IS_JOIN_WITH_LINK"] = 25] = "UPDATE_IS_JOIN_WITH_LINK";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["MESSAGE_UPDATE_SEND_MESSAGE"] = 26] = "MESSAGE_UPDATE_SEND_MESSAGE";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["PINNED"] = 27] = "PINNED";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["REMOVE_PINNED"] = 28] = "REMOVE_PINNED";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["ADD_DEPUTY"] = 29] = "ADD_DEPUTY";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["REMOVE_DEPUTY"] = 30] = "REMOVE_DEPUTY";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["CREATE_VOTE"] = 31] = "CREATE_VOTE";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["VOTE"] = 32] = "VOTE";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["CHANGE_VOTE"] = 33] = "CHANGE_VOTE";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["ADD_VOTE_OPTION"] = 34] = "ADD_VOTE_OPTION";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["WAITING_CONFIRM"] = 35] = "WAITING_CONFIRM";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["BLOCK_VOTE"] = 36] = "BLOCK_VOTE";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["MESSAGE_VOTE_PINNED"] = 37] = "MESSAGE_VOTE_PINNED";
    MESSAGE_SYSTEM_TYPE[MESSAGE_SYSTEM_TYPE["REMOVE_MESSAGE_VOTE_PINNED"] = 38] = "REMOVE_MESSAGE_VOTE_PINNED";
})(MESSAGE_SYSTEM_TYPE || (exports.MESSAGE_SYSTEM_TYPE = MESSAGE_SYSTEM_TYPE = {}));
var NON_MESSAGE_SYSTEM_TYPE;
(function (NON_MESSAGE_SYSTEM_TYPE) {
    NON_MESSAGE_SYSTEM_TYPE[NON_MESSAGE_SYSTEM_TYPE["TEXT"] = 1] = "TEXT";
    NON_MESSAGE_SYSTEM_TYPE[NON_MESSAGE_SYSTEM_TYPE["IMAGE"] = 2] = "IMAGE";
    NON_MESSAGE_SYSTEM_TYPE[NON_MESSAGE_SYSTEM_TYPE["VIDEO"] = 3] = "VIDEO";
    NON_MESSAGE_SYSTEM_TYPE[NON_MESSAGE_SYSTEM_TYPE["AUDIO"] = 4] = "AUDIO";
    NON_MESSAGE_SYSTEM_TYPE[NON_MESSAGE_SYSTEM_TYPE["FILE"] = 5] = "FILE";
    NON_MESSAGE_SYSTEM_TYPE[NON_MESSAGE_SYSTEM_TYPE["REPLY"] = 6] = "REPLY";
    NON_MESSAGE_SYSTEM_TYPE[NON_MESSAGE_SYSTEM_TYPE["STICKER"] = 15] = "STICKER";
})(NON_MESSAGE_SYSTEM_TYPE || (exports.NON_MESSAGE_SYSTEM_TYPE = NON_MESSAGE_SYSTEM_TYPE = {}));
exports.MESSAGE_TYPE = Object.assign(Object.assign({}, NON_MESSAGE_SYSTEM_TYPE), MESSAGE_SYSTEM_TYPE);
//# sourceMappingURL=message.enum.js.map