"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedisKey = void 0;
class RedisKey {
    constructor(env) {
        const ENV = env.toUpperCase();
        this.PREFIX = ENV + ':' + 'ALOLINE';
        this.ACTION_LEVEL = this.PREFIX + ':' + 'ACTION_LEVEL';
        this.STICKER_DEFAULT = this.PREFIX + ':' + 'STICKER_DEFAULT';
        this.STICKER_FIRST_MESSAGE = this.PREFIX + ':' + 'STICKER_FIRST_MESSAGE';
    }
    USER_INFO(userId, userInfoSubKey) {
        return this.PREFIX + ':' + 'USER_INFO' + ':' + userId + ':' + userInfoSubKey;
    }
    USER_CONNECTION(userId, device) {
        return this.PREFIX + ':' + 'USER_CONNECTION' + ':' + userId + ':' + device;
    }
    CONVERSATION(conversationId, conversationSubKey) {
        return this.PREFIX + ':' + 'CONVERSATION' + ':' + conversationId + ':' + conversationSubKey;
    }
    CONVERSATION_USER_BACKGROUND(userId, conversationId) {
        return this.PREFIX + ':' + 'CONVERSATION_USER_BACKGROUND' + ':' + userId + ':' + conversationId;
    }
    CARD_TAG(cardTagId) {
        return this.PREFIX + ':' + 'CARD_TAG' + ':' + cardTagId;
    }
    NO_OF_NOT_SEEN(userId) {
        return this.PREFIX + ':' + 'NO_OF_NOT_SEEN' + ':' + userId;
    }
    STICKER(categoryStickerId) {
        return this.PREFIX + ':' + 'STICKER' + ':' + categoryStickerId;
    }
    STICKER_CATEGORY(categoryStickerId) {
        return this.PREFIX + ':' + 'STICKER_CATEGORY' + ':' + categoryStickerId;
    }
}
exports.RedisKey = RedisKey;
//# sourceMappingURL=key.redis.js.map