import { Column, Entity } from 'typeorm';
import { BOOLEAN } from '../enums/_common.enum';
import { CommonEntity } from './_common.entity';

@Entity('user_setting')
export class UserSettingEntity extends CommonEntity {
  @Column({
    type: 'smallint',
    default: BOOLEAN.TRUE,
  })
  is_notify: BOOLEAN;

  @Column({
    type: 'smallint',
    default: BOOLEAN.FALSE,
  })
  is_dark_mode: BOOLEAN;

  @Column({
    type: 'int',
    default: 0,
  })
  view: number;

  @Column({
    type: 'smallint',
    default: BOOLEAN.TRUE,
  })
  view_about: BOOLEAN;

  @Column({
    type: 'smallint',
    default: BOOLEAN.TRUE,
  })
  view_friend: BOOLEAN;

  @Column({
    type: 'smallint',
    default: BOOLEAN.TRUE,
  })
  view_life_event: BOOLEAN;

  @Column({
    type: 'smallint',
    default: BOOLEAN.TRUE,
  })
  view_media: BOOLEAN;

  @Column({
    type: 'smallint',
    default: BOOLEAN.TRUE,
  })
  is_request_friend: BOOLEAN;

  @Column({
    type: 'smallint',
    default: BOOLEAN.FALSE,
  })
  is_display_name: BOOLEAN;

  @Column({
    type: 'smallint',
    default: BOOLEAN.FALSE,
  })
  is_enable_gender: BOOLEAN;

  @Column({
    type: 'smallint',
    default: BOOLEAN.FALSE,
  })
  is_enable_birthday: BOOLEAN;

  @Column({
    type: 'smallint',
    default: BOOLEAN.FALSE,
  })
  is_enable_phone: BOOLEAN;

  @Column({
    type: 'smallint',
    default: BOOLEAN.FALSE,
  })
  is_enable_email: BOOLEAN;

  @Column({
    type: 'smallint',
    default: BOOLEAN.FALSE,
  })
  is_enable_address: BOOLEAN;

  @Column({
    type: 'smallint',
    default: BOOLEAN.FALSE,
  })
  is_enable_city: BOOLEAN;

  @Column({
    type: 'smallint',
    default: BOOLEAN.FALSE,
  })
  is_enable_district: BOOLEAN;

  @Column({
    type: 'smallint',
    default: BOOLEAN.FALSE,
  })
  is_enable_ward: BOOLEAN;
}
