// import { Column, Entity } from 'typeorm';
// import { BOOLEAN } from '../enums/_common.enum';
// import { USER_STATUS } from '../enums/user.enum';
// import { CommonEntity } from './_common.entity';

// @Entity('user')
// export class UserEntity extends CommonEntity {
//   @Column({
//     type: 'varchar',
//     nullable: true,
//   })
//   avatar: string;

//   @Column({
//     type: 'varchar',
//   })
//   full_name: string;

//   @Column({
//     type: 'varchar',
//     nullable: true,
//   })
//   nick_name: string;

//   @Column({
//     type: 'smallint',
//     default: 0,
//   })
//   identification: number;

//   @Column({
//     type: 'varchar',
//     nullable: true,
//   })
//   address: string;

//   @Column({
//     type: 'double precision',
//     nullable: true,
//   })
//   lat: number;

//   @Column({
//     type: 'double precision',
//     nullable: true,
//   })
//   lng: number;

//   @Column({
//     type: 'bigint',
//     nullable: true,
//   })
//   city_id: string;

//   @Column({
//     type: 'bigint',
//     nullable: true,
//   })
//   district_id: string;

//   @Column({
//     type: 'bigint',
//     nullable: true,
//   })
//   ward_id: string;

//   @Column({
//     type: 'bigint',
//     nullable: true,
//   })
//   country_id: number;

//   @Column({
//     type: 'int',
//     default: 0,
//   })
//   no_of_alo_point: number;

//   @Column({
//     type: 'int',
//     default: 0,
//   })
//   no_of_follow: number;

//   @Column({
//     type: 'int',
//     default: 0,
//   })
//   view: number;

//   @Column({
//     type: 'text',
//     nullable: true,
//   })
//   cover: string;

//   @Column({
//     type: 'varchar',
//   })
//   phone: string;

//   @Column({
//     type: 'smallint',
//     default: 0,
//   })
//   gender: number;

//   @Column({
//     type: 'varchar',
//     nullable: true,
//   })
//   birthday: string;

//   @Column({
//     type: 'varchar',
//     nullable: true,
//   })
//   first_name: string;

//   @Column({
//     type: 'varchar',
//     nullable: true,
//   })
//   last_name: string;

//   @Column({
//     type: 'smallint',
//     default: 0,
//   })
//   no_of_friend: number;

//   @Column({
//     type: 'text',
//     nullable: true,
//   })
//   description: string;

//   @Column({
//     type: 'varchar',
//     nullable: true,
//   })
//   website: string;

//   @Column({
//     type: 'varchar',
//     nullable: true,
//   })
//   email: string;

//   @Column({
//     type: 'int',
//     array: true,
//     default: [],
//   })
//   user_interests: number[];

//   @Column({
//     type: 'smallint',
//     default: BOOLEAN.TRUE,
//   })
//   is_notify: BOOLEAN;

//   @Column({
//     type: 'smallint',
//     default: BOOLEAN.FALSE,
//   })
//   is_dark_mode: BOOLEAN;

//   @Column({
//     type: 'smallint',
//     default: BOOLEAN.TRUE,
//   })
//   view_about: BOOLEAN;

//   @Column({
//     type: 'smallint',
//     default: BOOLEAN.TRUE,
//   })
//   view_life_event: BOOLEAN;

//   @Column({
//     type: 'smallint',
//     default: BOOLEAN.TRUE,
//   })
//   view_friend: BOOLEAN;

//   @Column({
//     type: 'smallint',
//     default: BOOLEAN.TRUE,
//   })
//   view_media: BOOLEAN;

//   @Column({
//     type: 'smallint',
//     default: BOOLEAN.TRUE,
//   })
//   is_request_friend: BOOLEAN;

//   @Column({
//     type: 'smallint',
//     default: BOOLEAN.FALSE,
//   })
//   is_display_name: BOOLEAN;

//   @Column({
//     type: 'smallint',
//     default: BOOLEAN.FALSE,
//   })
//   is_enable_gender: BOOLEAN;

//   @Column({
//     type: 'smallint',
//     default: BOOLEAN.FALSE,
//   })
//   is_enable_birthday: BOOLEAN;

//   @Column({
//     type: 'smallint',
//     default: BOOLEAN.FALSE,
//   })
//   is_enable_phone: BOOLEAN;

//   @Column({
//     type: 'smallint',
//     default: BOOLEAN.FALSE,
//   })
//   is_enable_email: BOOLEAN;

//   @Column({
//     type: 'smallint',
//     default: BOOLEAN.FALSE,
//   })
//   is_enable_address: BOOLEAN;

//   @Column({
//     type: 'smallint',
//     default: BOOLEAN.FALSE,
//   })
//   is_enable_city: BOOLEAN;

//   @Column({
//     type: 'smallint',
//     default: BOOLEAN.FALSE,
//   })
//   is_enable_district: BOOLEAN;

//   @Column({
//     type: 'smallint',
//     default: BOOLEAN.FALSE,
//   })
//   is_enable_ward: BOOLEAN;

//   @Column({
//     type: 'timestamp',
//     nullable: true,
//   })
//   time_seen_notify: Date;

//   @Column({
//     type: 'timestamp',
//     nullable: true,
//   })
//   last_connect: Date;

//   @Column({
//     type: 'bigint',
//     nullable: true,
//   })
//   restaurant_id: string;

//   @Column({
//     type: 'smallint',
//     default: USER_STATUS.ACTIVE,
//   })
//   status: USER_STATUS;
// }

import { BOOLEAN } from '../enums/_common.enum';
import { USER_DELETE_STATUS, USER_GENDER } from '../enums/user.enum';

export interface UserEntity {
  id: number;
  nick_name: string;
  first_name: string;
  last_name: string;
  name: string;
  prefix: string;
  normalize_name: string;
  email: string;
  avatar: string;
  cover_urls: string;
  password: string;
  phone: string;
  gender: USER_GENDER;
  birthday: number;
  city_id: number;
  district_id: number;
  ward_id: number;
  ward_name: string;
  district_name: string;
  city_name: string;
  street_name: string;
  address_full_text: string;
  auth_type: number;
  fb_uid: string;
  gg_uid: string;
  apple_uid: string;
  verify_code: string;
  verify_fail_count: number;
  last_verify_code_created_at: number;
  is_display_nick_name: BOOLEAN;
  is_verified: BOOLEAN;
  is_turn_off_all_notify: BOOLEAN;
  status: BOOLEAN;
  created_at: number;
  updated_at: number;
  company_name: string;
  company_tax_number: string;
  company_phone: string;
  company_address: string;
  advert_package_for_business_type_id: number;
  advert_package_for_premium_type_id: number;
  last_activity_at: number;
  is_old: BOOLEAN;
  jwt_token: string;
  is_deactived: BOOLEAN;
  is_report: BOOLEAN;
  setting: string;
  qr_code: string;
  delete_status: USER_DELETE_STATUS;
  request_delete_at: number;
  last_qr_code_create_at: number;
}
